#!/bin/sh

set -eu

# スクリプトがあるディレクトリ
readonly BASE_DIR="$(cd "$(dirname "${BASH_SOURCE:-$0}")" && pwd)"

readonly DOCKER_IMAGE="amazon/aws-sam-cli-build-image-python3.8"
readonly PSYCOPG2_VER="2.8.6"

# 処理はここに書く
function main() {
    rm -rf ${BASE_DIR}/output
    docker run --rm -v ${BASE_DIR}/output:/opt "${DOCKER_IMAGE}" pip install -t /opt/python psycopg2-binary==${PSYCOPG2_VER}
}

# エントリー処理
if [[ "${BASH_SOURCE[0]}" == "${0}" ]]; then
    main "$@"
fi
